using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities
{
	[Redis("ID", "ID", "CODE")]
	[APT.Infrastructure.Api.RootOrg]
	[IgnoreT4] public class T_PF_PARAM_SCHEME : MesEntityBase
	{
		public T_PF_PARAM_SCHEME()
		{
			this.IS_PANEL_SHOW = false;
		}
		[Description("编号")]
		[CUnique(true)]
		[CodeRule(false,3)]
		public string CODE { get; set; }

		[Description("名称")]
        [AcronymField("NAME_ACRONYM")]
        public string NAME { get; set; }
        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("名称首字母缩写")]
        public string NAME_ACRONYM { get; set; }

        [Description("是否区域显示")]
		public bool? IS_PANEL_SHOW { get; set; }

		[Description("启用标志")]
		[EnumName("FMEnableStatusEnum")]
		public int ENABLE_STATUS { get; set; }

		[Description("备注")]
		public string REMARK { get; set; }

		public virtual ICollection<T_PF_PARAM_SCHEME_DETAIL> Nav_Details { get; set; }


		public virtual ICollection<T_PF_PAGE_EDIT> Nav_PageEdits { get; set; }

		public virtual ICollection<T_PF_PAGE_TABLE> Nav_PageTables { get; set; }
		[Description("源ID")]
		public Guid? SRC_ID { get; set; }
	}
}
